Name:		libao
Version:	1.1.0
Release:	1
Summary:	Cross-Platform Audio Output Library

Group:		System Environment/Libraries
License:	GPL
URL:		http://www.xiph.org/
Vendor:		Xiph.org Foundation <team@xiph.org>
Source0:	http://www.xiph.org/releases/ao/%{name}-%{version}.tar.gz
Source1:	%{name}.so.2-aix32
Source2:	%{name}.so.2-aix64
Patch0:		%{name}-%{version}-aix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	esound-devel >= 0.2.8
Requires:	esound >= 0.2.8

%description
Libao is a cross-platform audio output library.  It currently supports
ESD, aRts, ALSA, OSS, *BSD and Solaris.

This package provides plug-ins for OSS, ESD, aRts, and ALSA (0.9).  You will
need to install the supporting libraries for any plug-ins you want to use
in order for them to work.

The library is available as 32-bit and 64-bit.


%package devel
Summary: Cross Platform Audio Output Library Development
Group: Development/Libraries
Requires: libao = %{version}

%description devel
The libao-devel package contains the header files, libraries and
documentation needed to develop applications with libao.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "xlc -q64" or "gcc -maix64".


%prep
%setup -q
%patch0


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --enable-static \
    --enable-esd --disable-nas --disable-alsa
make %{?_smp_mflags}

cp src/.libs/%{name}.so.4 .
cp src/plugins/esd/.libs/libesd.so .
make distclean

# now build the 32-bit version
export CC="xlc"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --enable-static \
    --enable-esd --disable-nas --disable-alsa
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q src/.libs/%{name}.a ./%{name}.so.4
${AR} -q src/plugins/esd/.libs/libesd.a ./libesd.so

# Add the older 0.8.8 shared members for compatibility with older apps
# (make sure they're set for LOADONLY with 'strip -e')
cp %{SOURCE1} %{name}.so.2
/usr/bin/strip -X32 -e %{name}.so.2
/usr/bin/ar -X32 -q src/.libs/%{name}.a %{name}.so.2

cp %{SOURCE2} %{name}.so.2
/usr/bin/strip -X64 -e %{name}.so.2
/usr/bin/ar -X64 -q src/.libs/%{name}.a %{name}.so.2


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

(
  cd ${RPM_BUILD_ROOT}
  for dir in include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean 
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS CHANGES COPYING README
%{_libdir}/*.a
%{_libdir}/ao/*/*.a
%{_mandir}/man5/*
/usr/lib/*.a


%files devel
%defattr(-,root,system)
%doc doc/*
%{_includedir}/ao
%{_libdir}/*.la
%{_libdir}/ao/*/*.la
%{_datadir}/aclocal/ao.m4
%{_libdir}/pkgconfig/*
/usr/include/*
/usr/lib/*.la


%changelog
* Tue Apr 26 2011 Michael Perzl <michael@perzl.org> - 1.1.0-1
- updated to version 1.1.0

* Thu Apr 22 2010 Michael Perzl <michael@perzl.org> - 1.0.0-1
- updated to version 1.0.0

* Thu Jan 17 2008 Michael Perzl <michael@perzl.org> - 0.8.8-1
- first version for AIX V5.1 and higher
